package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.service.carbon.PhotovoltaicService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:25
 **/

@Api(tags ="数智双碳----光伏发电")
@Slf4j
@RestController
@RequestMapping("/photovoltaic")
public class PhotovoltaicController {

    @Autowired
    private CarbonService carbonService;

    @Autowired
    PhotovoltaicService photovoltaicService;



    @ApiOperation("核心指标")
    @PostMapping("/getPhotovoltaicCoreIndicators")
    public ReturnMsg getPhotovoltaicCoreIndicators(@RequestBody IocParam iocParam){
        return photovoltaicService.getPhotovoltaicCoreIndicators(iocParam);
    }


    @ApiOperation("光伏减排分析")
    @PostMapping("/getPhotovoltaicInfo")
    public ReturnMsg getPhotovoltaicInfo(@RequestBody IocParam iocParam){
        return photovoltaicService.getPhotovoltaicInfo(iocParam);
    }

    @ApiOperation("光伏排放排名")
    @PostMapping("/getPhotovoltaicInfoOrder")
    public ReturnMsg getPhotovoltaicInfoOrder(@RequestBody IocParam iocParam){
        return photovoltaicService.getPhotovoltaicInfoOrder(iocParam);
    }

}
