package com.sky.ioc.controller.carbon;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.carbon.CarbonService;
import com.sky.ioc.service.carbon.PrintCarbonService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/1 13:25
 **/


@Api(tags ="数智双碳----文印排放")
@Slf4j
@RestController
@RequestMapping("/print")
public class PrintController {


    @Autowired
    private CarbonService carbonService;

    @Autowired
    PrintCarbonService printCarbonService;



    @ApiOperation("核心指标")
    @PostMapping("/getPrintCoreIndicators")
    public ReturnMsg getPrintCoreIndicators(@RequestBody IocParam iocParam){
        return printCarbonService.getPrintCoreIndicators(iocParam);
    }


    @ApiOperation("文印排放分析")
    @PostMapping("/getPrintInfo")
    public ReturnMsg getPrintInfo(@RequestBody IocParam iocParam){
        return printCarbonService.getPrintInfo(iocParam);
    }




    @ApiOperation("文印排放排名")
    @PostMapping("/getPrintInfoOrder")
    public ReturnMsg getPrintInfoOrder(@RequestBody IocParam iocParam){
        return printCarbonService.getPrintInfoOrder(iocParam);
    }

}
