package com.sky.ioc.controller.dashboard;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.canteen.RestaurantService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ---- 餐厅
 */

@Api(tags ="智能看板----餐厅")
@Slf4j
@RestController
@RequestMapping("dining_room")
public class DiningRoomController {


    @Autowired
    private RestaurantService restaurantService;


    @ApiOperation("查询智能看板统计画像的餐厅消费态势的核心指标")
    @PostMapping("getRestaurantConsumption")
    public ReturnMsg getRestaurantConsumption(@RequestBody IocParam iocParam){
        return restaurantService.getRestaurantConsumption(iocParam);
    }



    @ApiOperation("查询智能看板统计画像的餐厅统计消费信息报表")
    @PostMapping("getRestaurantConsumptionChart")
    public ReturnMsg  getPersonnelInfoList(@RequestBody IocParam iocParam){
        return restaurantService.getRestaurantConsumptionChart(iocParam);
    }




}
