package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ---- 用电
 */


@Api(tags = "智能看板----用电")
@Slf4j
@RestController
@RequestMapping("electricity")
public class ElectricityController {

    @Autowired
    private EnergyService energyService;


    @ApiOperation("查询智能看板统计画像的用电核心指标")
    @PostMapping("getElectricityCoreIndicators")
    public ReturnMsg getElectricityCoreIndicators(){
        return energyService.getElectricityCoreIndicators();
    }




    @ApiOperation("查询智能看板统计画像的用电信息报表")
    @PostMapping("getElectricityInfoList")
    public ReturnMsg  getElectricityInfoList(){
        return energyService.getElectricityInfoList();
    }



    @ApiOperation("查询智能看板统计画像的用电圆形信息报表")
    @PostMapping("getElectricityCircleInfoList")
    public ReturnMsg  getElectricityCircleInfoList(){
        return energyService.getElectricityCircleInfoList();
    }






}
