package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.personnel.PersonnelService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ---- 人员
 */


@Api(tags ="智能看板 ------人员")
@Slf4j
@RestController
@RequestMapping("personnel")
public class PersonnelController {

    @Autowired
    private PersonnelService personnelService;


    @ApiOperation("查询智能看板统计画像的统计人员核心指标")
    @PostMapping("getPersonnelInfoCount")
    public ReturnMsg getPersonnelInfoCount(){
        return personnelService.personnelInfoCount();
    }



    @ApiOperation("查询智能看板统计画像的统计人员信息报表")
    @PostMapping("getPersonnelInfoList")
    public ReturnMsg  getPersonnelInfoList(){
        return personnelService.getPersonnelInfoList();
    }



}
