package com.sky.ioc.controller.dashboard;


import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ----  用冷
 */


@Api(tags ="智能看板----用冷")
@Slf4j
@RestController
@RequestMapping("use_cold")
public class UseColdController {


    @Autowired
    private EnergyService energyService;

    @ApiOperation("查询智能看板统计画像的用冷心指标")
    @PostMapping("getUseColdCoreIndicators")
    public ReturnMsg getUseColdCoreIndicators(){
        return energyService.getUseColdCoreIndicators();
    }



    @ApiOperation("查询智能看板统计画像的用冷信息报表")
    @PostMapping("getUseColdInfoList")
    public ReturnMsg  getUseColdInfoList(){
        return energyService.getUseColdInfoList();
    }




}
