package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ----  用热
 */

@Api(tags ="智能看板----用热")
@Slf4j
@RestController
@RequestMapping("use_heat")
public class UseHeatController {

    @Autowired
    private EnergyService energyService;

    @ApiOperation("查询智能看板统计画像的用热核心指标")
    @PostMapping("getUseHeatCoreIndicators")
    public ReturnMsg getUseHeatCoreIndicators(){
        return energyService.getUseHeatCoreIndicators();
    }



    @ApiOperation("查询智能看板统计画像的用热信息报表")
    @PostMapping("getUseHeatInfoList")
    public ReturnMsg  getUseHeatInfoList(){
        return energyService.getUseHeatInfoList();
    }


}
