package com.sky.ioc.controller.dashboard;

import com.sky.ioc.service.energy.EnergyService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author LunCe
 * 智能看板  ----  用水
 */

@Api(tags ="智能看板----用水")
@Slf4j
@RestController
@RequestMapping("water")
public class WaterController {


    @Autowired
    private EnergyService energyService;




    @ApiOperation("查询智能看板统计画像的用水核心指标")
    @PostMapping("getWaterCoreIndicators")
    public ReturnMsg getWaterCoreIndicators(){
        return energyService.getWaterCoreIndicators();
    }



    @ApiOperation("查询智能看板统计画像的用水信息报表")
    @PostMapping("getWaterInfoList")
    public ReturnMsg  getWaterInfoList(){
        return energyService.getWaterInfoList();
    }



    @ApiOperation("查询智能看板统计画像的用水圆形信息报表")
    @PostMapping("getWaterCircleInfoList")
    public ReturnMsg  getWaterCircleInfoList(){
        return energyService.getWaterCircleInfoList();
    }


}
