package com.sky.ioc.controller.operation;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.service.space.SpaceService;
import com.sky.ioc.tool.ReturnMsg;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/6 9:40
 **/

@Api(tags ="智慧运营----空间管理")
@Slf4j
@RestController("space")
@RequestMapping("/space")
public class SpaceController {


    @Autowired
    private SpaceService spaceService;



    @ApiOperation("核心指标")
    @PostMapping("/getSpaceCoreIndicators")
    public ReturnMsg getSpaceCoreIndicators(@RequestBody IocParam iocParam){
        return spaceService.getSpaceCoreIndicators(iocParam);
    }




    @ApiOperation("空间成本")
    @PostMapping("/getSpaceInfo")
    public ReturnMsg getSpaceInfo(@RequestBody IocParam iocParam){
        return spaceService.getSpaceInfo(iocParam);
    }





}
