package com.sky.ioc.entity.domain.system;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class Menus {

    /** 菜单ID */
    private Integer id;

    /** 菜单名称 */
    private String name;

    /** 父菜单ID */
    private Integer parentId;

    /** 显示顺序 */
    private Integer orderNum;

    /** 路由地址 */
    private String path;

    /** 组件路径 */
    private String router;

    /** 路由参数 */
    private String query;

    /** 是否为外链（0是 1否） */
    private String isFrame;

    /** 是否缓存（0缓存 1不缓存） */
    private String isCache;

    /** 类型（C菜单 S系统） */
    private String menuType;

    /** 显示状态（0显示 1隐藏） */
    private String visible;

    /** 菜单状态（0正常 1停用） */
    private String status;

    /** 权限字符串 */
    private String perms;

    /** 菜单图标 */
    private String icon;

    /** 子菜单 */
    private List<Menus> children;

}
