package com.sky.ioc.service.system.impl;

import com.sky.ioc.entity.domain.system.Menus;
import com.sky.ioc.mapper.system.MenuMapper;
import com.sky.ioc.service.system.MenuService;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

@Service
public class MenuServiceImpl implements MenuService {

    @Autowired
    MenuMapper menuMapper;


    @Override
    public ReturnMsg getMenusInfoList(long parentId) {
        List<Menus> lists = menuMapper.getList();
        return  ReturnMsg.ok(listWithTree(lists,parentId));
    }

    @Override
    public List<Menus> listWithTree(List<Menus> list,long parentId) {
        List<Menus> result = new ArrayList<>();
        for (Menus Menus : list) {
            if (Menus.getParentId()==parentId) {
                result.add(Menus);
            }
            for (Menus child : list) {
                if (child.getParentId().equals(Menus.getId())) {
                    List<Menus> children = Menus.getChildren();
                    if (children == null) {
                        children = new ArrayList<>();
                        Menus.setChildren(children);
                    }
                    children.add(child);
                }
            }
        }
        return result;
     }

    @Override
    public List<Menus> listByIds(String ids) {
        return  menuMapper.getListByIds(ids);
    }
}





